{
  config,
  lib,
  pkgs,
  modulesPath,
  ...
}:
{
  system.stateVersion = "24.11";

  nix = {
    settings = {
      experimental-features = [
        "nix-command"
        "flakes"
      ];
    };
  };

  environment.systemPackages = with pkgs; [
    git
    htop
    inetutils
    msmtp
  ];

  networking.firewall = {
    enable = true;
    allowedTCPPorts = [ 80 443 ];
  };

  time = {
    timeZone = "Europe/Berlin";
  };
}
